Package org.jcsp.util.filter

# Interface FilteredOne2AnyChannel

All Superinterfaces:
  `One2AnyChannel`

public interface FilteredOne2AnyChannel extends One2AnyChannel
Interface for an `Any2Any` channel that supports both read and write filters.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`ReadFiltered`
`inFilter()`
Returns the control interface to manipulate the read filters.
`WriteFiltered`
`outFilter()`
Returns the control interface to manipulate the write filters.

### Methods inherited from interface org.jcsp.lang.One2AnyChannel

`in, out`

## Method Details

### inFilter

ReadFiltered inFilter()
Returns the control interface to manipulate the read filters.

### outFilter

WriteFiltered outFilter()
Returns the control interface to manipulate the write filters.